<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="DoxyPress 1.2.10"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Accessories: D:/Mes documents/Trusty/Arduino/Libraries/Accessories/src/AccessoryMotor.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxypress.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by DoxyPress -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Accessories
   </div>
   <div id="projectbrief">Arduino for motors and lights library.</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by DoxyPress 1.2.10 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('AccessoryMotor_8hpp_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">AccessoryMotor.hpp</div>  </div>
  <div class="clear-floats"></div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#ifndef __accessoryMotor_H__</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#define __accessoryMotor_H__</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;</div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &quot;Accessory.hpp&quot;</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="keyword">class </span>Driver;</div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;</div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;</div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#ifndef NO_MOTOR</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;</div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment">// This class describes a motor powered by a driver.</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#define LEFT    STATE_FIRST</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="preprocessor">#define RIGHT   STATE_SECOND</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="preprocessor">#define STOP    STATE_NONE</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="keyword">enum</span> DIRECTION</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;{ </div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;    ONLYLEFT,   </div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;    ONLYRIGHT,  </div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;    BOTHDIRS    </div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;};</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;</div><div class="line"><a name="l00033"></a><span class="lineno"><a class="line" href="classAccessoryMotor.html">   33</a></span>&#160;<span class="keyword">class </span><a class="code" href="classAccessoryMotor.html">AccessoryMotor</a> : <span class="keyword">public</span> <a class="code" href="classAccessory.html">Accessory</a></div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;{</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;    <span class="keyword">public</span>:</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;        <a class="code" href="classAccessoryMotor.html#a0594d7dee588b2abee916bfc82f33f90">AccessoryMotor</a>();</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;        <span class="keywordtype">bool</span> <a class="code" href="classAccessoryMotor.html#a7b07268c665e5ae1bc1bba6d215f185c">ActionEnded</a>();</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;        </div><div class="line"><a name="l00048"></a><span class="lineno"><a class="line" href="classAccessoryMotor.html#a55576f6cd2021b845dc6866c48c50a93">   48</a></span>&#160;        <span class="keyword">inline</span> <span class="keywordtype">bool</span> <a class="code" href="classAccessoryMotor.html#a55576f6cd2021b845dc6866c48c50a93">IsLeft</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> this-&gt;<a class="code" href="classAccessory.html#a05332408472b083ff1368172b79946be">IsFirst</a>(); }</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;</div><div class="line"><a name="l00053"></a><span class="lineno"><a class="line" href="classAccessoryMotor.html#a36e648bdf9af7f1bf0c6d9f9f679cbc7">   53</a></span>&#160;        <span class="keyword">inline</span> <span class="keywordtype">bool</span> <a class="code" href="classAccessoryMotor.html#a36e648bdf9af7f1bf0c6d9f9f679cbc7">IsRight</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> this-&gt;<a class="code" href="classAccessory.html#aecdd43db80db0467109219f68d5fb7e4">IsSecond</a>(); }</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;</div><div class="line"><a name="l00058"></a><span class="lineno"><a class="line" href="classAccessoryMotor.html#abe9cbecabc7feab1f6550d6db61d50ac">   58</a></span>&#160;        <span class="keyword">inline</span> <span class="keywordtype">bool</span> <a class="code" href="classAccessoryMotor.html#abe9cbecabc7feab1f6550d6db61d50ac">IsStopped</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> this-&gt;<a class="code" href="classAccessory.html#a69732e492455231abb564627cf66be7c">IsNone</a>(); }</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classAccessoryMotor.html#a204b97a97847c159cffcb1f5a6face31">begin</a>(<a class="code" href="classPort.html">Port</a> *inpPort, <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inId, <span class="keywordtype">int</span> inSpeed, <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inDurationMilli = 0);</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classAccessoryMotor.html#af66799e4adf177e1a9b71b63225e74b1">Event</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inId, ACCESSORIES_EVENT_TYPE inEvent = ACCESSORIES_EVENT_MOVEPOSITIONID, <span class="keywordtype">int</span> inData = 0);</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;<span class="preprocessor">#ifndef NO_EEPROM</span></div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;        <span class="keywordtype">int</span> <a class="code" href="classAccessoryMotor.html#a62e7b93e8aa7c42795889e94882756b8">EEPROMLoad</a>(<span class="keywordtype">int</span> inPos);</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classAccessoryMotor.html#a157b380119884b4895782c8a502cb310">Move</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inId);</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;</div><div class="line"><a name="l00091"></a><span class="lineno"><a class="line" href="classAccessoryMotor.html#a839204c654909fd47f6af1595b590d7e">   91</a></span>&#160;        <span class="keyword">inline</span> <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classAccessoryMotor.html#a839204c654909fd47f6af1595b590d7e">MoveLeft</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inDuration = 0, <span class="keywordtype">int</span> inSpeed = 0) { this-&gt;InternalMove(LEFT, inDuration, inSpeed); }</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;</div><div class="line"><a name="l00097"></a><span class="lineno"><a class="line" href="classAccessoryMotor.html#ae6fec42eb87b2897fbebe84749361a94">   97</a></span>&#160;        <span class="keyword">inline</span> <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classAccessoryMotor.html#ae6fec42eb87b2897fbebe84749361a94">MoveRight</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inDuration = 0, <span class="keywordtype">int</span> inSpeed = 0) { this-&gt;InternalMove(RIGHT, inDuration, inSpeed); }</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;        <span class="keyword">virtual</span> ACC_STATE <a class="code" href="classAccessoryMotor.html#a4a4dd6e62c407f40bd4f2f023a39ff50">MoveToggle</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inDuration = 0, <span class="keywordtype">int</span> inSpeed = 0) = 0;</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classAccessoryMotor.html#acd5296e07283425dfa71799b14f81d09">MoveStop</a>();</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;</div><div class="line"><a name="l00112"></a><span class="lineno"><a class="line" href="classAccessoryMotor.html#a9d244cc89802b184dd480f8a1a4bc557">  112</a></span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classAccessoryMotor.html#a9d244cc89802b184dd480f8a1a4bc557">ExternalMove</a>(ACC_STATE inNewState) { this-&gt;<a class="code" href="classAccessory.html#a60e5e9122c96773c975fe9d2c2db6520">SetStateRaw</a>(inNewState); }</div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;    <span class="keyword">protected</span>:</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classAccessoryMotor.html#a3d013b0eaa9e9420bbd11d79529a474d">SetState</a>(ACC_STATE instate);</div><div class="line"><a name="l00116"></a><span class="lineno"><a class="line" href="classAccessoryMotor.html#a6e200c4a8754830a3583a5abc7ed51fe">  116</a></span>&#160;        <span class="keyword">inline</span> ACC_STATE <a class="code" href="classAccessoryMotor.html#a6e200c4a8754830a3583a5abc7ed51fe">Toggle</a>() { <span class="keywordflow">return</span> <a class="code" href="classAccessoryMotor.html#a4a4dd6e62c407f40bd4f2f023a39ff50">MoveToggle</a>(); }</div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;    <span class="keyword">private</span>:</div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;        ACC_STATE InternalMove(ACC_STATE inStateToReach, <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inDuration = 0, <span class="keywordtype">int</span> inSpeed = 0);</div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;};</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;</div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;</div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;</div><div class="ttc" id="classAccessoryMotor_html_a6e200c4a8754830a3583a5abc7ed51fe"><div class="ttname"><a href="classAccessoryMotor.html#a6e200c4a8754830a3583a5abc7ed51fe">AccessoryMotor::Toggle</a></div><div class="ttdeci">ACC_STATE Toggle()</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryMotor_8hpp_source.html#l00116">AccessoryMotor.hpp:116</a></div></div>
<div class="ttc" id="classAccessoryMotor_html_a3d013b0eaa9e9420bbd11d79529a474d"><div class="ttname"><a href="classAccessoryMotor.html#a3d013b0eaa9e9420bbd11d79529a474d">AccessoryMotor::SetState</a></div><div class="ttdeci">void SetState(ACC_STATE instate)</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryMotor_8cpp_source.html#l00124">AccessoryMotor.cpp:124</a></div></div>
<div class="ttc" id="classAccessory_html_a60e5e9122c96773c975fe9d2c2db6520"><div class="ttname"><a href="classAccessory.html#a60e5e9122c96773c975fe9d2c2db6520">Accessory::SetStateRaw</a></div><div class="ttdeci">void SetStateRaw(ACC_STATE inNewState)</div><div class="ttdef"><b>Definition:</b> <a href="Accessory_8cpp_source.html#l00165">Accessory.cpp:165</a></div></div>
<div class="ttc" id="classAccessoryMotor_html_a9d244cc89802b184dd480f8a1a4bc557"><div class="ttname"><a href="classAccessoryMotor.html#a9d244cc89802b184dd480f8a1a4bc557">AccessoryMotor::ExternalMove</a></div><div class="ttdeci">void ExternalMove(ACC_STATE inNewState)</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryMotor_8hpp_source.html#l00112">AccessoryMotor.hpp:112</a></div></div>
<div class="ttc" id="classAccessoryMotor_html_acd5296e07283425dfa71799b14f81d09"><div class="ttname"><a href="classAccessoryMotor.html#acd5296e07283425dfa71799b14f81d09">AccessoryMotor::MoveStop</a></div><div class="ttdeci">virtual void MoveStop()</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryMotor_8cpp_source.html#l00160">AccessoryMotor.cpp:160</a></div></div>
<div class="ttc" id="classAccessoryMotor_html_a4a4dd6e62c407f40bd4f2f023a39ff50"><div class="ttname"><a href="classAccessoryMotor.html#a4a4dd6e62c407f40bd4f2f023a39ff50">AccessoryMotor::MoveToggle</a></div><div class="ttdeci">virtual ACC_STATE MoveToggle(unsigned long inDuration = 0, int inSpeed = 0) = 0</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryMotor_8cpp_source.html#l00025">AccessoryMotor.cpp:25</a></div></div>
<div class="ttc" id="classAccessoryMotor_html_ae6fec42eb87b2897fbebe84749361a94"><div class="ttname"><a href="classAccessoryMotor.html#ae6fec42eb87b2897fbebe84749361a94">AccessoryMotor::MoveRight</a></div><div class="ttdeci">virtual void MoveRight(unsigned long inDuration = 0, int inSpeed = 0)</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryMotor_8hpp_source.html#l00097">AccessoryMotor.hpp:97</a></div></div>
<div class="ttc" id="classAccessoryMotor_html_a839204c654909fd47f6af1595b590d7e"><div class="ttname"><a href="classAccessoryMotor.html#a839204c654909fd47f6af1595b590d7e">AccessoryMotor::MoveLeft</a></div><div class="ttdeci">virtual void MoveLeft(unsigned long inDuration = 0, int inSpeed = 0)</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryMotor_8hpp_source.html#l00091">AccessoryMotor.hpp:91</a></div></div>
<div class="ttc" id="classAccessoryMotor_html_a157b380119884b4895782c8a502cb310"><div class="ttname"><a href="classAccessoryMotor.html#a157b380119884b4895782c8a502cb310">AccessoryMotor::Move</a></div><div class="ttdeci">void Move(unsigned long inId)</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryMotor_8cpp_source.html#l00146">AccessoryMotor.cpp:146</a></div></div>
<div class="ttc" id="classAccessoryMotor_html_a62e7b93e8aa7c42795889e94882756b8"><div class="ttname"><a href="classAccessoryMotor.html#a62e7b93e8aa7c42795889e94882756b8">AccessoryMotor::EEPROMLoad</a></div><div class="ttdeci">int EEPROMLoad(int inPos)</div></div>
<div class="ttc" id="classAccessoryMotor_html_af66799e4adf177e1a9b71b63225e74b1"><div class="ttname"><a href="classAccessoryMotor.html#af66799e4adf177e1a9b71b63225e74b1">AccessoryMotor::Event</a></div><div class="ttdeci">void Event(unsigned long inId, ACCESSORIES_EVENT_TYPE inEvent = ACCESSORIES_EVENT_MOVEPOSITIONID, int inData = 0)</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryMotor_8cpp_source.html#l00068">AccessoryMotor.cpp:68</a></div></div>
<div class="ttc" id="classPort_html"><div class="ttname"><a href="classPort.html">Port</a></div><div class="ttdef"><b>Definition:</b> <a href="Port_8hpp_source.html#l00061">Port.hpp:61</a></div></div>
<div class="ttc" id="classAccessoryMotor_html_a204b97a97847c159cffcb1f5a6face31"><div class="ttname"><a href="classAccessoryMotor.html#a204b97a97847c159cffcb1f5a6face31">AccessoryMotor::begin</a></div><div class="ttdeci">void begin(Port *inpPort, unsigned long inId, int inSpeed, unsigned long inDurationMilli = 0)</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryMotor_8cpp_source.html#l00015">AccessoryMotor.cpp:15</a></div></div>
<div class="ttc" id="classAccessory_html_a69732e492455231abb564627cf66be7c"><div class="ttname"><a href="classAccessory.html#a69732e492455231abb564627cf66be7c">Accessory::IsNone</a></div><div class="ttdeci">bool IsNone() const </div><div class="ttdef"><b>Definition:</b> <a href="Accessory_8hpp_source.html#l00220">Accessory.hpp:220</a></div></div>
<div class="ttc" id="classAccessoryMotor_html_abe9cbecabc7feab1f6550d6db61d50ac"><div class="ttname"><a href="classAccessoryMotor.html#abe9cbecabc7feab1f6550d6db61d50ac">AccessoryMotor::IsStopped</a></div><div class="ttdeci">bool IsStopped() const </div><div class="ttdef"><b>Definition:</b> <a href="AccessoryMotor_8hpp_source.html#l00058">AccessoryMotor.hpp:58</a></div></div>
<div class="ttc" id="classAccessory_html_aecdd43db80db0467109219f68d5fb7e4"><div class="ttname"><a href="classAccessory.html#aecdd43db80db0467109219f68d5fb7e4">Accessory::IsSecond</a></div><div class="ttdeci">bool IsSecond() const </div><div class="ttdef"><b>Definition:</b> <a href="Accessory_8hpp_source.html#l00230">Accessory.hpp:230</a></div></div>
<div class="ttc" id="classAccessory_html_a05332408472b083ff1368172b79946be"><div class="ttname"><a href="classAccessory.html#a05332408472b083ff1368172b79946be">Accessory::IsFirst</a></div><div class="ttdeci">bool IsFirst() const </div><div class="ttdef"><b>Definition:</b> <a href="Accessory_8hpp_source.html#l00225">Accessory.hpp:225</a></div></div>
<div class="ttc" id="classAccessoryMotor_html_a55576f6cd2021b845dc6866c48c50a93"><div class="ttname"><a href="classAccessoryMotor.html#a55576f6cd2021b845dc6866c48c50a93">AccessoryMotor::IsLeft</a></div><div class="ttdeci">bool IsLeft() const </div><div class="ttdef"><b>Definition:</b> <a href="AccessoryMotor_8hpp_source.html#l00048">AccessoryMotor.hpp:48</a></div></div>
<div class="ttc" id="classAccessoryMotor_html_a36e648bdf9af7f1bf0c6d9f9f679cbc7"><div class="ttname"><a href="classAccessoryMotor.html#a36e648bdf9af7f1bf0c6d9f9f679cbc7">AccessoryMotor::IsRight</a></div><div class="ttdeci">bool IsRight() const </div><div class="ttdef"><b>Definition:</b> <a href="AccessoryMotor_8hpp_source.html#l00053">AccessoryMotor.hpp:53</a></div></div>
<div class="ttc" id="classAccessoryMotor_html_a7b07268c665e5ae1bc1bba6d215f185c"><div class="ttname"><a href="classAccessoryMotor.html#a7b07268c665e5ae1bc1bba6d215f185c">AccessoryMotor::ActionEnded</a></div><div class="ttdeci">bool ActionEnded()</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryMotor_8cpp_source.html#l00166">AccessoryMotor.cpp:166</a></div></div>
<div class="ttc" id="classAccessoryMotor_html_a0594d7dee588b2abee916bfc82f33f90"><div class="ttname"><a href="classAccessoryMotor.html#a0594d7dee588b2abee916bfc82f33f90">AccessoryMotor::AccessoryMotor</a></div><div class="ttdeci">AccessoryMotor()</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryMotor_8cpp_source.html#l00011">AccessoryMotor.cpp:11</a></div></div>
<div class="ttc" id="classAccessory_html"><div class="ttname"><a href="classAccessory.html">Accessory</a></div><div class="ttdef"><b>Definition:</b> <a href="Accessory_8hpp_source.html#l00140">Accessory.hpp:140</a></div></div>
<div class="ttc" id="classAccessoryMotor_html"><div class="ttname"><a href="classAccessoryMotor.html">AccessoryMotor</a></div><div class="ttdef"><b>Definition:</b> <a href="AccessoryMotor_8hpp_source.html#l00033">AccessoryMotor.hpp:33</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- Generated by DoxyPress 1.2.10 -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d41d8cd98f00b204e9800998ecf8427e.html">src</a></li><li class="navelem"><b>AccessoryMotor.hpp</b></li>
    <li class="footer">Generated on mer. oct. 18 2017 17:44:46 for Accessories &nbsp; by
    <a href="http://www.copperspice.com/documentation-doxypress.html">
    <img class="footer" src="doxypress.png" alt="DoxyPress"/></a> 1.2.10 </li>
  </ul>
</div>
</body>
</html>
